rpc-driver
-----------------
An rpc driver for 30AA rpc communication.
Binding for Alap rpc SPI controller

Required properties:
- compatible: has to be "alap,ucom_rpc" as fallback.
- alap_tx_buf_cont: The counter of rpc tx buffer.
- alap_tx_buf_cont: The counter of rpc rx buffer.
- alap_trans_len: The transmition message length of rpc communication.
- alap_retry_max: The max retry counter of rpc date error on line.
- startup: the start up gpio to uCom.

Child nodes as per the generic SPI binding.

Example:
/* sa6155 */
	rpcdev@0 {
		compatible = "alap,ucom_rpc";

		reg = <0>;
		spi-max-frequency = <5000000>;
		interrupt-parent = <&tlmm>;
		interrupts = <52 IRQ_TYPE_LEVEL_HIGH>;
		startup-gpio = <&tlmm 9 0>;

		/* user if configuration */
		alap_wt_buf_cont = <500>;
		alap_wt_len = <30>;
		alap_rd_buf_cont = <500>;
		alap_rd_len = <30>;
		alap_write_block = <0>;
		alap_read_block = <0>;

		/* kernel transmission configuration */
		alap_trans_len = <64>;
		alap_tx_combi = <0>;
		alap_rx_combi = <1>;
		alap_retry_max = <3>;
	};

/* sa8155 */
	rpcdev@0 {
		compatible = "alap,ucom_rpc";

		reg = <0>;
		spi-max-frequency = <5000000>;
		interrupt-parent = <&tlmm>;
		interrupts = <157 IRQ_TYPE_LEVEL_HIGH>;
		startup-gpio = <&tlmm 3 0>;

		/* user if configuration */
		alap_wt_buf_cont = <500>;
		alap_wt_len = <30>;
		alap_rd_buf_cont = <500>;
		alap_rd_len = <30>;
		alap_write_block = <0>;
		alap_read_block = <0>;

		/* kernel transmission configuration */
		alap_trans_len = <64>;
		alap_tx_combi = <0>;
		alap_rx_combi = <1>;
		alap_retry_max = <3>;
	};